Subject: Re: problem with git rebase -i

From: Uwe Kleine-König <[email-masked]>
Date: Wed, 13 Feb 2008 09:10:59 +0100

Hello,

Uwe Kleine-König wrote:
> I tried to rebase my work (on the Linux kernel) to current Linus'
> master.  As I have two branches I merged them and ran:
> 
> 	git rebase -i -p v2.6.25-rc1
> 
> But then the list I got in my editor didn't include the merge and so the
> result was broken.
> 
> If I add
> 
> 	pick 913183f
> 
> (with 913183f being my HEAD) to the list, the result is correct.
> 
> The reason that my merge is missing is that git rev-list thinks my
> merge is the same as 249d621 and so skips that as it uses --cherry-pick.
I think the right thing to do here is to let --cherry-pick only kick out
revs that are no merges.  This should be save as git-rebase--interactive
is the only user of --cherry-pick.

Comments?

Best regards
Uwe

-- 
Uwe Kleine-König, Software Engineer
Digi International GmbH Branch Breisach, Küferstrasse 8, 79206 Breisach, Germany
Tax: 315/5781/0242 / VAT: DE153662976 / Reg. Amtsgericht Dortmund HRB 13962